diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index b4cf64a..2b46610 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -2839,26 +2839,26 @@ THistPainter::THistPainter()
       fCutsOpt[i] = 0;
    }
 
-   gStringEntries   = gEnv->GetValue("Hist.Stats.Entries",   "Entries");
-   gStringMean      = gEnv->GetValue("Hist.Stats.Mean",      "Mean");
-   gStringMeanX     = gEnv->GetValue("Hist.Stats.MeanX",     "Mean x");
-   gStringMeanY     = gEnv->GetValue("Hist.Stats.MeanY",     "Mean y");
-   gStringMeanZ     = gEnv->GetValue("Hist.Stats.MeanZ",     "Mean z");
-   gStringRMS       = gEnv->GetValue("Hist.Stats.RMS",       "RMS");
-   gStringRMSX      = gEnv->GetValue("Hist.Stats.RMSX",      "RMS x");
-   gStringRMSY      = gEnv->GetValue("Hist.Stats.RMSY",      "RMS y");
-   gStringRMSZ      = gEnv->GetValue("Hist.Stats.RMSZ",      "RMS z");
-   gStringUnderflow = gEnv->GetValue("Hist.Stats.Underflow", "Underflow");
-   gStringOverflow  = gEnv->GetValue("Hist.Stats.Overflow",  "Overflow");
-   gStringIntegral  = gEnv->GetValue("Hist.Stats.Integral",  "Integral");
-   gStringSkewness  = gEnv->GetValue("Hist.Stats.Skewness",  "Skewness");
-   gStringSkewnessX = gEnv->GetValue("Hist.Stats.SkewnessX", "Skewness x");
-   gStringSkewnessY = gEnv->GetValue("Hist.Stats.SkewnessY", "Skewness y");
-   gStringSkewnessZ = gEnv->GetValue("Hist.Stats.SkewnessZ", "Skewness z");
-   gStringKurtosis  = gEnv->GetValue("Hist.Stats.Kurtosis",  "Kurtosis");
-   gStringKurtosisX = gEnv->GetValue("Hist.Stats.KurtosisX", "Kurtosis x");
-   gStringKurtosisY = gEnv->GetValue("Hist.Stats.KurtosisY", "Kurtosis y");
-   gStringKurtosisZ = gEnv->GetValue("Hist.Stats.KurtosisZ", "Kurtosis z");
+   gStringEntries   =                        gStyle->GetStatLabelEntries  ()        ;
+   gStringMean      =                        gStyle->GetStatLabelMean     ()        ;
+   gStringMeanX     = TString::Format("%s x",gStyle->GetStatLabelMean     ()).Data();
+   gStringMeanY     = TString::Format("%s y",gStyle->GetStatLabelMean     ()).Data();
+   gStringMeanZ     = TString::Format("%s z",gStyle->GetStatLabelMean     ()).Data();
+   gStringRMS       =                        gStyle->GetStatLabelRMS      ()        ;
+   gStringRMSX      = TString::Format("%s x",gStyle->GetStatLabelRMS      ()).Data();
+   gStringRMSY      = TString::Format("%s y",gStyle->GetStatLabelRMS      ()).Data();
+   gStringRMSZ      = TString::Format("%s z",gStyle->GetStatLabelRMS      ()).Data();
+   gStringUnderflow =                        gStyle->GetStatLabelUnderflow()        ;
+   gStringOverflow  =                        gStyle->GetStatLabelOverflow ()        ;
+   gStringIntegral  =                        gStyle->GetStatLabelIntegral ()        ;
+   gStringSkewness  =                        gStyle->GetStatLabelSkewness ()        ;
+   gStringSkewnessX = TString::Format("%s x",gStyle->GetStatLabelSkewness ()).Data();
+   gStringSkewnessY = TString::Format("%s y",gStyle->GetStatLabelSkewness ()).Data();
+   gStringSkewnessZ = TString::Format("%s z",gStyle->GetStatLabelSkewness ()).Data();
+   gStringKurtosis  =                        gStyle->GetStatLabelKurtosis ()        ;
+   gStringKurtosisX = TString::Format("%s x",gStyle->GetStatLabelKurtosis ()).Data();
+   gStringKurtosisY = TString::Format("%s y",gStyle->GetStatLabelKurtosis ()).Data();
+   gStringKurtosisZ = TString::Format("%s z",gStyle->GetStatLabelKurtosis ()).Data();
 }
 
 
